Subject: Re: [PATCH v10 08/22] IB/hns: Add icm support

From: "Wei Hu (Xavier)" <[email-masked]>
Date: Mon, 20 Jun 2016 17:48:15 +0800

On 2016/6/20 17:27, Leon Romanovsky wrote:
> On Mon, Jun 20, 2016 at 03:49:24PM +0800, Wei Hu (Xavier) wrote:
>>
>> On 2016/6/20 14:06, Leon Romanovsky wrote:
>>> On Mon, Jun 20, 2016 at 12:37:40PM +0800, Wei Hu (Xavier) wrote:
>>>> On 2016/6/17 17:58, Leon Romanovsky wrote:
>>>>> On Thu, Jun 16, 2016 at 10:35:16PM +0800, Lijun Ou wrote:
>>>>>> This patch mainly added icm support for RoCE. It initializes icm
>>>>>> which managers the relative memory blocks for RoCE. The data
>>>>>> structures of RoCE will be located in it. For example, CQ table,
>>>>>> QP table and MTPT table so on.
>>>>>>
>>>>>> Signed-off-by: Wei Hu <[email-masked]>
>>>>>> Signed-off-by: Nenglong Zhao <zhaonenglong-C8/M+/[email-masked]>
>>>>>> Signed-off-by: Lijun Ou <[email-masked]>
>>>>>> ---
>>>>> <...>
>>>>>
>>>>>> +
>>> Another question which you didn't answer [1].
>>>
>>> "I wonder if you have the same needs for ICM as it is in mlx4 device.
>>> Do you have firmware?"
>>>
>>> [1] http://marc.info/?l=linux-rdma&m=146545553104913&w=2
>> Hi, Leon
>>      Now we haven't firmware.
>>      But hardware still need memory for QPC\CQC\MTPT\mtt etc.
> ICM stands for InfiniHost (Interconnect) Context Memory is a specific
> memory place to share between host <-> FW and host <-> HW if HW is
> aware of specific structures.
>
> I assume that in your case, it is enough to allocate memory region and
> supply it to HW. Am I right?
For Our hardware,
1. ICM has a memory management method, It's very good for 
QPC\CQC\MTPT\mtt etc. we need it.
2. The meomry for QPC\CQC\MTPT\mtt only used for RoCE hardware and 
driver, we don't want use MR.
3. Now we haven't firmware, maybe we need it next version.

Thanks
Wei Hu.
>> Thanks
>> Wei Hu
>>>> Regards
>>>> Wei Hu

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html